| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Image
Image.Image

# Method Image.Image()->circle()

Method circle

  `object circle(int x, int y, int rx, int ry)`
  `object circle(int x, int y, int rx, int ry, int r, int g, int b)`
  `object circle(int x, int y, int rx, int ry, int r, int g, int b, int alpha)`

Description

  Draws a circle on the image. The circle is not antialiased.

  original | ->circle (50,50, 30,50, 0,255,255)

Parameter `x`
Parameter `y`

  circle center

Parameter `rx`
Parameter `ry`

  circle radius in pixels

Parameter `r`
Parameter `g`
Parameter `b`

  color

Parameter `alpha`

  alpha value

Returns

  the object called